Fractal Softworks Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

Starsector 0.95a is out! (03/26/21); Blog post: Skill Changes, Part 2 (07/15/21)

Pages: [1] 2

Author Topic: Starsector Mod Repository Version 1.0.2 (Need help from YOU!)  (Read 19524 times)

angrytigerp

  • Commander
  • ***
  • Posts: 171
    • View Profile
    • Email
Starsector Mod Repository Version 1.0.2 (Need help from YOU!)
« on: January 17, 2015, 01:39:47 PM »

Code
UPDATE 1.0.1 (19-Jan-2015): 0.62a fully uploaded as of this edit. Doing some bookkeeping and adding 0.61 and earlier files.
UPDATE 1.0.2 (19-Jan-2015): Finished adding 0.61a files in my possession. Organization of folders (mostly) finalized. Readmes done. Lists done.

REPOSITORY HERE!

Hey, folks.

One of the things I've noticed is that we have a BUNCH of mods popping in and out of existence, as new SS versions get released, and some of the larger mods and/or factions are left behind in the dust due to version compatibility issues. So what I'm thinking is, as a service to the community, I'm gonna start archiving EVERY mod I can, sorted by version. The general idea will be to have available the LATEST version of each mod for each SS version, such that if you're trying to play a campaign-modifying mod with integrated mod factions (Exerelin especially comes to mind, and to a lesser extent SS+), I'll be able to provide; this, hopefully, will allow newbies who want to play the larger mash-ups the chance to do so, as the issue isn't just the master mod, but each faction's version (like how SS+ can't support Blackrock as of this post, since Blackrock is still 0.62; and Exerelin can't support integrated factions that have been updated to 0.65, stuff like that).

Thus, I present: The Starsector Mod Repository!

As a few caveats, I will ONLY be archiving the raw downloads; I'll try to keep track of any non-downloaded hotfixes (things the user needs to do to ensure the mod works, changing a broken value or something), but something along the lines of revising the faction lists for Exerelin (where a lot of factions, you need to manually input their values into the file) are going to be up to the end-user. As well, total conversions (Ironclads and EVEMod, for example) will be only archived for the latest version (sorry if you really hate whatever new features pop up in SS, but I'm not gonna keep an archive of every incremental build of TCs, as the version for the newest SS version will be the definitive version).

Where do YOU (in a general sense) come in?

I've got a lot of mods. Check the Drive now to see what I have. If you have any old version of mods, please let me know, and I'll throw them up (like, as links, not literally). Here's a few that I'm trying to track down specifically because I know Exerelin supports them (the main reason I started this project), and I only have the 0.65 versions.

-Junk Pirates/ASP/PACK (separate downloads prior to 0.65, IIRC)
-Patria Principate
« Last Edit: January 19, 2015, 12:01:28 PM by angrytigerp »
Logged

Hyph_K31

  • Admiral
  • *****
  • Posts: 1605
  • O' Hear My Name and Tremble! Ug Ug.
    • View Profile

Good evening!

Dropping in to say that I'm a terribly awful hoarder. I still have the last three or four versions of my mod stored on my Dropbox, the oldest being for 0.54.1a. A couple dozen versions between then and now or certainly missing. I can PM you a link to each if you like. :)

The latest version of my mod ought to be ready some time in the next few days.

Brilliant idea, hope it pans out!
Logged

"GEDUNE, stop venting in front of your classmates!"

Erick Doe

  • Global Moderator
  • Admiral
  • *****
  • Posts: 2463
  • "Pretty cunning, don't you think?"
    • View Profile

Collection of mods made compatible with one another and in available in one big package:
http://fractalsoftworks.com/forum/index.php?topic=7327.0
For [0.6.1a]
Logged

angrytigerp

  • Commander
  • ***
  • Posts: 171
    • View Profile
    • Email

Collection of mods made compatible with one another and in available in one big package:
http://fractalsoftworks.com/forum/index.php?topic=7327.0
For [0.6.1a]

This actually helps quite a bit, was gonna skip 0.61 (as said in OP), but then I noticed there are quite a few mods that were last updated then, NOT 0.62.
Logged

Tartiflette

  • Admiral
  • *****
  • Posts: 3294
  • Toss a coin to your Modder, O' valley of plenty
    • View Profile

Sorry I can't help you, I only kept the 3 last versions of Scy and they are all for 0.65.1. Though since Scy 0.66 I'm using bitbucket, it will store the previous versions now. I know some people kept a version for 0.62 to play in Exerelin, maybe they'll chime in?

As for TwigLib, I think there was a buggy demo for 0.62, but since no mod actually used it by then I don't think it's useful to include it.
Logged
 

Nanao-kun

  • Admiral
  • *****
  • Posts: 824
    • View Profile
    • Email

From my mod folders, the most recent SCY I had for 0.6.2a was 0.66b

http://www.mediafire.com/download/4mhso3es18xsfvw/SCY_0.66b.rar

Not sure if that's the correct one though. It probably is though.
Logged

LazyWizard

  • Global Moderator
  • Admiral
  • *****
  • Posts: 1351
    • View Profile
    • GitHub Profile

Here are the last 0.6.2a versions for those of my mods that had one, along with any problems those versions had:

Edit: removed Version Checker. Seems kind of useless in this situation. ;)
« Last Edit: January 17, 2015, 04:22:48 PM by LazyWizard »
Logged

angrytigerp

  • Commander
  • ***
  • Posts: 171
    • View Profile
    • Email
Re: Trying to run a master old-version mod depository, but need help from YOU!
« Reply #10 on: January 19, 2015, 08:33:16 AM »

Thanks for the input so far, folks. Just got off the dutes' from my ship, and still checking Facebook and all that other crap that builds up when you're stuck on board a ship with terribad internet.

I'll be putting it together before too long, probably in Google Drive format so that people can pick and choose without having to navigate a billion Dropbox links.
Logged

Tartiflette

  • Admiral
  • *****
  • Posts: 3294
  • Toss a coin to your Modder, O' valley of plenty
    • View Profile
Re: Trying to run a master old-version mod depository, but need help from YOU!
« Reply #11 on: January 19, 2015, 09:28:27 AM »

I'm thinking this could replace the completely outdated Mod Index. Maybe a large part of the "this mod isn't working" reports we received about old mods came from people that were searching from this thread.

From my mod folders, the most recent SCY I had for 0.6.2a was 0.66b
Yep, that the last one before SS 0.65a
Logged
 

angrytigerp

  • Commander
  • ***
  • Posts: 171
    • View Profile
    • Email
Re: Trying to run a master old-version mod depository, but need help from YOU!
« Reply #12 on: January 19, 2015, 09:52:12 AM »

Thanks for the input so far, folks. Just got off the dutes' from my ship, and still checking Facebook and all that other crap that builds up when you're stuck on board a ship with terribad internet.

I'll be putting it together before too long, probably in Google Drive format so that people can pick and choose without having to navigate a billion Dropbox links.

All righty, then. All 0.62a and 0.61a mods I have up to date are uploaded, the formatting/organization is largely done, and relevant readmes/listings are made up.

Call it V1.02.
« Last Edit: January 19, 2015, 11:58:08 AM by angrytigerp »
Logged

Dark.Revenant

  • Admiral
  • *****
  • Posts: 2696
    • View Profile
    • Sc2Mafia
    • Email
Re: Starsector Mod Repository Version 1.0.2 (Need help from YOU!)
« Reply #13 on: January 19, 2015, 03:34:05 PM »

Note: ShaderLib was made by myself, not LazyWizard.  Some of your text misappropriates authorship.
Logged

angrytigerp

  • Commander
  • ***
  • Posts: 171
    • View Profile
    • Email
Re: Starsector Mod Repository Version 1.0.2 (Need help from YOU!)
« Reply #14 on: January 19, 2015, 05:29:11 PM »

Note: ShaderLib was made by myself, not LazyWizard.  Some of your text misappropriates authorship.

My bad, will change it ASAP. Got fixated on the whole --Lib thing
Logged
Pages: [1] 2